@ECHO OFF


echo Building project...
psymake
if errorlevel 1 goto END


REM Converts MAIN.CPE to MAIN.EXE and remove .cpe
cpe2x /CA main.cpe
del main.cpe


REM Making CEL file
mkcel -nc 12 -cw 2 -ch 3 -cel CEL.TXT -o OUT.CEL


REM Making BGD file
mkbgd -mw 100 -mh 8 -cw 32 -ch 32 -map MAP.RAW -o OUT.BGD


REM Loads files into memory
psexe -D80100000 OUT.BGD
psexe -D80140000 OUT.CEL
psexe -D80180000 TILES.TIM

rem psexe load OUT.BGD 80100000
rem psexe load OUT.CEL 80140000
rem psexe load TILES.TIM 80180000


REM Execute program and then remove .exe
psexe main.exe
rem ez run main.exe
del main.exe


:END
